[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#537516: procmeter3: /proc/acpi/battery obsoleted by /sys/class/power_supply/BAT*

Package: procmeter3
Version: 3.5b-1
Severity: normal

debian 2.6.30 (and probably before) no longer has /proc/acpi/battery
so the acpi module can't read battery stats.

They've been moved to /sys/class/power_supply/BAT*

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.30-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages procmeter3 depends on:
ii  libatk1.0-0                   1.26.0-1   The ATK accessibility toolkit
ii  libc6                         2.9-13     GNU C Library: Shared libraries
ii  libcairo2                     1.8.8-2    The Cairo 2D vector graphics libra
ii  libfontconfig1                2.6.0-4    generic font configuration library
ii  libfreetype6                  2.3.9-5    FreeType 2 font engine, shared lib
ii  libglib2.0-0                  2.20.4-1   The GLib library of C routines
ii  libgtk2.0-0                   2.16.4-1   The GTK+ graphical user interface 
ii  libice6                       2:1.0.5-1  X11 Inter-Client Exchange library
ii  libpango1.0-0                 1.24.4-1   Layout and rendering of internatio
ii  libsm6                        2:1.1.0-2  X11 Session Management library
ii  libx11-6                      2:1.2.1-1  X11 client-side library
ii  libxaw7                       2:1.0.5-2  X11 Athena Widget library
ii  libxext6                      2:1.0.4-1  X11 miscellaneous extension librar
ii  libxmu6                       2:1.0.4-1  X11 miscellaneous utility library
ii  libxt6                        1:1.0.5-3  X11 toolkit intrinsics library

procmeter3 recommends no packages.

procmeter3 suggests no packages.

-- no debconf information

Reply to: